<?php
$db->exec("CREATE TABLE receipts_temp_table AS SELECT * FROM receipts");
$db->exec("DROP TABLE receipts");
$db->exec("CREATE TABLE receipts (id INTEGER PRIMARY KEY AUTOINCREMENT UNIQUE, user_id INT, rm VARCHAR, store INT, table_id INTEGER DEFAULT (0), changes INT, changes_data TEXT, time DOUBLE, type INT, payment VARCHAR, sum DOUBLE, client VARCHAR, card VARCHAR, partner_id INT, create_receipt INT DEFAULT (0), description TEXT, lines_count INT, discount DOUBLE, remote INT DEFAULT (0))");
$db->exec("INSERT INTO receipts (id, user_id, rm, store, table_id, changes, changes_data, time, type, payment, sum, client, card, partner_id, create_receipt, description, lines_count, discount, remote) SELECT id, user_id, rm, store, table_id, changes, changes_data, time, type, payment, sum, client, card, partner_id, create_receipt, description, lines_count, discount, remote FROM receipts_temp_table");
$db->exec("DROP TABLE receipts_temp_table");
$db->exec("CREATE INDEX receipt_id ON receipts (id)");
$db->exec("CREATE INDEX receipt_type ON receipts (type)");
$db->exec("CREATE INDEX receipt_time ON receipts (time)");
$db->exec("CREATE INDEX change_id ON receipts (changes)");
$db->exec("CREATE INDEX remote ON receipts (remote)");
$db->exec("ALTER TABLE receiptlines ADD other_info TEXT DEFAULT ''");
$db->exec("INSERT INTO settings (name, value) VALUES ('view_all_receipts', '0'), ('lines_of_list', '14'), ('modifiers_window', '1')");
$db->exec("ALTER TABLE fr_settings ADD fix_user VARCHAR");
$db->exec("ALTER TABLE fr_settings ADD one_line INT DEFAULT(1)");
$db->exec("ALTER TABLE products ADD related TEXT DEFAULT ''");
$db->exec("ALTER TABLE receiptlines ADD parent_id INT DEFAULT (0)");
$db->exec("CREATE INDEX line_parent_id ON receiptlines (parent_id)");